Redmine - Defect #33357

rendering extra "--" footer of git patch attachment

2020-04-26 17:02 - Toshi MARUYAMA

Status: Closed Start date:

Priority: Normal Due date:

Assignee: % Done: 0%
Category: Attachments Estimated time: 0.00 hour
Target version: 4.2.0

Resolution: Fixed Affected version:

Description

From #17809.

For example #4511 0002-Use-Principal-to-get-users-and-groups-for-watchers-i.patch.
#17809#note-5 has solution.
Associated revisions

Revision 19734 - 2020-04-30 04:07 - Toshi MARUYAMA
add test to UnifiedDiffTest to keep similar git footer line (#33357)

Revision 19751 - 2020-05-05 13:55 - Toshi MARUYAMA
add git format patch to UnifiedDiffTest (#33357)

Revision 19752 - 2020-05-05 13:56 - Toshi MARUYAMA
remove git format patch footer (#33357)

History

#1 - 2020-04-27 03:12 - Toshi MARUYAMA
https://www.redmine.org/issues/17809
https://www.redmine.org/issues/4511
https://www.redmine.org/issues/17809#note-5

- Subject changed from rendering extra "---" header and "--" footer of git patch attachment to rendering extra "--" footer of git patch attachment

Fixed title.

#2 - 2020-04-27 03:41 - Toshi MARUYAMA
#17809#note-5 is not solution in this case.
diff --git a/test.rb b/test.rb
-—— a/test.rb

+++ b/test.rb

@@ -3,9 +3,6 @@

# test
# test
—# next line has white space after '-'

# test

# test

# test
#3 - 2020-05-09 04:37 - Toshi MARUYAMA
- Target version set to 4.2.0

- Resolution set to Fixed

Fixed by r19752.

#4 - 2020-12-23 00:41 - Go MAEDA

- Status changed from New to Closed

Files
git-diff.png 120 KB 2020-04-26 Toshi MARUYAMA
2025-05-01 2/2


https://www.redmine.org/issues/17809#note-5
https://www.redmine.org/projects/redmine/repository/svn/revisions/19752
http://www.tcpdf.org

